"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const action = {
    title: 'Track Page View',
    description: 'Track the page view for the current page in HubSpot.',
    defaultSubscription: 'type = "page"',
    platform: 'web',
    fields: {
        path: {
            description: 'The path of the current page. The set path will be treated as relative to the current domain being viewed.',
            label: 'Path String',
            type: 'string',
            required: false
        }
    },
    perform: (_hsq, event) => {
        if (event.payload.path) {
            _hsq.push(['setPath', event.payload.path]);
        }
        _hsq.push(['trackPageView']);
    }
};
exports.default = action;
//# sourceMappingURL=index.js.map